//+------------------------------------------------------------------+
//|                                                 ExpertADX-MA.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//|                                              Revision 2010.09.03 |
//+------------------------------------------------------------------+
#property copyright   "Copyright 2010, MetaQuotes Software Corp."
#property link        "http://www.mql5.com"
#property version     "5.00"
//---
input string InpTitle="Expert: Signal-ADX-MA, Trailing-FixedPips, Money-None"; // Expert::Title
input long   InpMagicNumber=12345;                                             // Expert::MagicNimber
//---
#include <Expert\Expert.mqh>
#include <Expert\Signal\SignalADX-MA.mqh>
#include <Expert\Trailing\TrailingFixedPips.mqh>
//---
CExpert ExtExpert;
//+------------------------------------------------------------------+
//| Initialization function of the expert                            |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- creation of all necessary objects
   if(ExtExpert.Init(Symbol(),Period(),false,InpMagicNumber))
     {
      if(!ExtExpert.InitSignal(new CSignalADX_MA))        return(-2);
      if(!ExtExpert.InitTrailing(new CTrailingFixedPips)) return(-3);
      //--- ok
      return(0);
     }
//--- failed
   ExtExpert.Deinit();
   return(-1);
  }
//+------------------------------------------------------------------+
//| Deinitialization function of the expert                          |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   ExtExpert.Deinit();
  }
//+------------------------------------------------------------------+
//| Function-event handler "tick"                                    |
//+------------------------------------------------------------------+
void OnTick()
  {
   ExtExpert.OnTick();
  }
//+------------------------------------------------------------------+
//| Function-event handler "trade"                                   |
//+------------------------------------------------------------------+
void OnTrade()
  {
   ExtExpert.OnTrade();
  }
//+------------------------------------------------------------------+
//| Function-event handler "timer"                                   |
//+------------------------------------------------------------------+
void OnTimer()
  {
   ExtExpert.OnTimer();
  }
//+------------------------------------------------------------------+
